> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simplesandbox.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1sandboxes:id



## OpenAPI

````yaml https://api.simplesandbox.dev/doc get /api/v1/sandboxes/:id
openapi: 3.0.0
info:
  version: 1.0.0
  title: Sandbox API
servers: []
security: []
paths:
  /api/v1/sandboxes/:id:
    get:
      parameters:
        - schema:
            type: string
            example: e7847229c547d8
          required: true
          name: id
          in: path
      responses:
        '200':
          description: Sandbox details from database
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShowSandboxResponse'
        '400':
          description: Active organization missing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Sandbox not found
components:
  schemas:
    ShowSandboxResponse:
      type: object
      properties:
        sandbox:
          $ref: '#/components/schemas/Sandbox'
      required:
        - sandbox
    Error:
      type: object
      properties:
        code:
          type: number
          example: 422
        message:
          type: string
          example: 'Validation failed: Name has already been taken'
        details:
          nullable: true
      required:
        - code
        - message
    Sandbox:
      type: object
      properties:
        id:
          type: string
          example: e7847229c547d8
        name:
          type: string
          example: sandbox-node-1
        state:
          type: string
          example: started
        region:
          type: string
          example: iad
        image:
          type: string
          example: node:22
        createdAt:
          type: string
          format: date
          example: '2023-12-01T00:00:00Z'
        stopAt:
          type: string
          format: date
          example: '2023-12-01T01:00:00Z'
        publicAccessUrlTemplate:
          type: string
          example: >-
            {{PORT}}-m_01h9z60rm0ex1rc4x-sandbox-shared-app-fly.apps.simplesandbox.dev
          description: >-
            Host template for public access. Replace `{{PORT}}` with the numeric
            port (e.g. `8080`) and prepend the scheme if needed, e.g.
            `https://8080-m_01h9z60rm0ex1rc4x-sandbox-shared-app-fly.apps.simplesandbox.dev`.
      required:
        - id
        - name
        - state
        - region
        - image
        - createdAt
        - stopAt
        - publicAccessUrlTemplate

````